EmailPopAccount (social-mail-servlet Webapp 2.2.0-SNAPSHOT API)
Date: 2018-08-29

org.gcube.portal.socialmail

## Class EmailPopAccount

- java.lang.Object
- - org.gcube.portal.socialmail.EmailPopAccount

- All Implemented Interfaces:
    Serializable

      public class EmailPopAccount
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmailPopAccount()`
    `EmailPopAccount(String portalName, String pop3Server, String pop3user, String pop3password)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPop3password()`
    `String` | `getPop3Server()`
    `String` | `getPop3user()`
    `String` | `getPortalName()`
    `void` | `setPop3password(String pop3password)`
    `void` | `setPop3Server(String pop3Server)`
    `void` | `setPop3user(String pop3user)`
    `void` | `setPortalName(String portalName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmailPopAccount

          public EmailPopAccount()

    - #### EmailPopAccount

          public EmailPopAccount(String portalName,
                                 String pop3Server,
                                 String pop3user,
                                 String pop3password)

  - ### Method Detail

    - #### getPortalName

          public String getPortalName()

    - #### setPortalName

          public void setPortalName(String portalName)

    - #### getPop3Server

          public String getPop3Server()

    - #### setPop3Server

          public void setPop3Server(String pop3Server)

    - #### getPop3user

          public String getPop3user()

    - #### setPop3user

          public void setPop3user(String pop3user)

    - #### getPop3password

          public String getPop3password()

    - #### setPop3password

          public void setPop3password(String pop3password)

Copyright © 2018. All Rights Reserved.